Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.x509.qualified
Class Iso4217CurrencyCode

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.x509.qualified.Iso4217CurrencyCode

All Implemented Interfaces:
  ASN1Choice, DEREncodable

    public class Iso4217CurrencyCode

extends ASN1Encodable
implements ASN1Choice

The Iso4217CurrencyCode object.

     Iso4217CurrencyCode  ::=  CHOICE {
           alphabetic              PrintableString (SIZE 3), --Recommended
           numeric              INTEGER (1..999) }
     -- Alphabetic or numeric currency code as defined in ISO 4217
     -- It is recommended that the Alphabetic form is used

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`Iso4217CurrencyCode(int numeric)`
`Iso4217CurrencyCode(java.lang.String alphabetic)`

Method Summary
`java.lang.String` `getAlphabetic()`
`static Iso4217CurrencyCode` `getInstance(java.lang.Object obj)`
`int` `getNumeric()`
`boolean` `isAlphabetic()`
`DERObject` `toASN1Object()`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Iso4217CurrencyCode

    public Iso4217CurrencyCode(int numeric)

### Iso4217CurrencyCode

    public Iso4217CurrencyCode(java.lang.String alphabetic)

Method Detail

### getInstance

    public static Iso4217CurrencyCode getInstance(java.lang.Object obj)

### isAlphabetic

    public boolean isAlphabetic()

### getAlphabetic

    public java.lang.String getAlphabetic()

### getNumeric

    public int getNumeric()

### toASN1Object

    public DERObject toASN1Object()

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Bouncy Castle Cryptography Library 1.45